Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Referrer

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer

Direct Known Subclasses:
  Concept, Constant, DatabaseInfo, DiagramInfo, Reaction, SemanticRelation

public abstract class Referrer
extends GenericEntity

Extention of GenericEntity that contains references to other databases and literature sources.

Method Summary
`DatabaseReference[]` | `getDatabaseReferences()`
`String` | `getDescription()`
`String[]` | `getLiteratureReferences()`
`void` | `setDatabaseReferences(DatabaseReference[] databaseReferences)`
`void` | `setDescription(String description)`
`void` | `setLiteratureReferences(String[] literatureReferences)`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, getType, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Method Detail

### getDatabaseReferences

    public DatabaseReference[] getDatabaseReferences()

### getDescription

    public String getDescription()

### getLiteratureReferences

    public String[] getLiteratureReferences()

### setDatabaseReferences

    public void setDatabaseReferences(DatabaseReference[] databaseReferences)

### setDescription

    public void setDescription(String description)

### setLiteratureReferences

    public void setLiteratureReferences(String[] literatureReferences)

Association Links

to Class java.lang.String

  The object textual description. Can be text/plain or text/html.

to Class biouml.standard.type.DatabaseReference

  pending make a special type for database references.

to Class java.lang.String

  Array of literature references. Each string corresponds to {@link DataElement} name from "literature" DataCollection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM